[PHP] Page d'avertissement pour navigateurs incompatibles html5

Soyez le premier à donner votre avis sur cette source.

Vue 3 375 fois - Téléchargée 783 fois

Description

La page d'avertissmeent est valide du point de vue W3C (html/CSS). Elle a été testé sous IE5/6/7/8.

Comment ça marche?
Il faut inclure le fichier "iewarn.inc" à l'aide de la fonction php require(). Il contient une fonction qui vérifie que le navigateur est compatible HTML5. Dans le cas contraire le visiteur est redirigé vers une page explicative au format xhtml 1.0 transitionnel. Ne perdez plus de temps à rendre votre site compatible avec d'anciens navigateurs obsolètes.

Remarque
La page explicative renvoit vers http://www.browserchoice.eu/browserchoice/browserchoice_fr.htm . Ainsi à tout moment vous êtes sûr de proposer à vos visiteurs un choix parmis 5 des navigateurs les plus populaires du moment.

N'hésitez pas à poster en commentaire les amélioration que je peux apporter à ce code source. Ce sera pour moi une belle occasion de progresser !

Codes Sources

A voir également

Ajouter un commentaire

Commentaire

https://alternativeto.net/software/internet-explorer/

Vous n'êtes pas encore membre ?

inscrivez-vous, c'est gratuit et ça prend moins d'une minute !

Les membres obtiennent plus de réponses que les utilisateurs anonymes.

Le fait d'être membre vous permet d'avoir un suivi détaillé de vos demandes et codes sources.

Le fait d'être membre vous permet d'avoir des options supplémentaires.